package gibson.jpaul;

/**
 * Binary operator integer calculator with 2 registers (a and b) and
 * 2 operands addition and multiplication
 */
public class Calculator {

    /**
     * register for operand1
     */
	private int a;
	
	 /**
     * register for operand2
     */
	private int b;

	/**
	 * Change the value of register1
	 * @param a is the new value
	 */
	public void setA(int a) {
		this.a = a;
	}

	/**
     * Change the value of register2
     * @param b is the new value
     */
	public void setB(int b) {
		this.b = b;
	}

	/**
	 * The Addition
	 * @return the sum of the 2 register values
	 */
	public int getSum() {
		return a + b;
	}
}