package gibson.jpaul;


import io.cucumber.java.en.Given;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;

import static org.junit.Assert.*;

public class CalculatorSteps {

	private final Calculator calc = new Calculator();
	private int actual;

	@Given("first number is {int}")
	public void givenTheFirstNumberIs(int a) {
		calc.setA(a);
	}

	@Given("second number is {int}")
	public void givenTheSecondNumberIs(int b) {
		calc.setB(b);
	}

	@When("two numbers are added")
	public void whenTheTwoNumbersAreAdded() {
		actual = calc.getSum();
	}

	@Then("result should be {int}")
	public void thenTheResultShouldBe(int x) {
		assertEquals(x, actual);
	}}
