# @system is the "system" tag for this subset of scenarios
@system
Feature: Calculator System


Narrative:

I am not good at mental arithmetic
So I need a calculator assistant
It will help me add 2 numbers
I should check all combinations of positive, negative and zero.

# The scenarios do not cover the 'zero' cases referred to in the context.
# @TODO - add the zero cases to our table of Examples

Scenario: Run program with input 1 and 2 (pos,pos)

Given input is
"""
1
2
"""
When program runs
Then output should be
"""
Sum of 1 and 2 equals 3

"""

Scenario: Run program with input -2 and -1 (neg,neg)

Given input is
"""
-2
-1
"""
When program runs
Then output should be
"""
Sum of -2 and -1 equals -3

"""

Scenario: Run program with input 3 and -2 (pos,neg)

Given input is
"""
3
-2
"""
When program runs
Then output should be
"""
Sum of 3 and -2 equals 1

"""

Scenario: Run program with input -3 and 1 (neg,pos)

Given input is
"""
-3
1
"""
When program runs
Then output should be
"""
Sum of -3 and 1 equals -2

"""